summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--api/franca/navigation/poiservice/POIServiceTypes.fidl8
-rwxr-xr-xsrc/poi-service/rebuild_all.sh10
-rwxr-xr-xtest/poi-service/rebuild_all.sh11
3 files changed, 21 insertions, 8 deletions
diff --git a/api/franca/navigation/poiservice/POIServiceTypes.fidl b/api/franca/navigation/poiservice/POIServiceTypes.fidl
index 81b82e6..4186bf7 100644
--- a/api/franca/navigation/poiservice/POIServiceTypes.fidl
+++ b/api/franca/navigation/poiservice/POIServiceTypes.fidl
@@ -68,18 +68,14 @@ typeCollection POIServiceTypes {
}
<** @description: Current state of the search**>
-// enumeration SearchStatusState extends BasicEnum { //Base 0x0510
- enumeration SearchStatusState { //Base 0x0510
- INVALID = 0
+ enumeration SearchStatusState extends BasicEnum { //Base 0x0510
NOT_STARTED = 1296
SEARCHING = 1297
FINISHED = 1298
}
<** @description: Type of Operator**>
-// enumeration OperatorType extends BasicEnum { //Base 0x0520
- enumeration OperatorType { //Base 0x0520
- INVALID = 0
+ enumeration OperatorType extends BasicEnum { //Base 0x0520
MORE_THAN = 1312
LESS_THAN = 1313
EQUAL = 1314
diff --git a/src/poi-service/rebuild_all.sh b/src/poi-service/rebuild_all.sh
index 677fc3d..20f99bd 100755
--- a/src/poi-service/rebuild_all.sh
+++ b/src/poi-service/rebuild_all.sh
@@ -40,7 +40,15 @@ then
echo 'export COMMONAPI_DBUS_TOOL_DIR=<path>'
exit 1
fi
- commonapi_tools_option="-DCOMMONAPI_DBUS_TOOL_DIR="$COMMONAPI_DBUS_TOOL_DIR" -DCOMMONAPI_TOOL_DIR="$COMMONAPI_TOOL_DIR
+
+ if [ ! $DBUS_LIB_PATH ]
+ then
+ echo 'Set the dir of the patched dbus'
+ echo 'export DBUS_LIB_PATH=<path>'
+ exit 1
+ fi
+
+ commonapi_tools_option="-DDBUS_LIB_PATH="$DBUS_LIB_PATH" -DCOMMONAPI_DBUS_TOOL_DIR="$COMMONAPI_DBUS_TOOL_DIR" -DCOMMONAPI_TOOL_DIR="$COMMONAPI_TOOL_DIR
fi
echo 'delete the build folder'
diff --git a/test/poi-service/rebuild_all.sh b/test/poi-service/rebuild_all.sh
index acf09ae..5e6127b 100755
--- a/test/poi-service/rebuild_all.sh
+++ b/test/poi-service/rebuild_all.sh
@@ -40,7 +40,16 @@ then
echo 'export COMMONAPI_DBUS_TOOL_DIR=<path>'
exit 1
fi
- commonapi_tools_option="-DCOMMONAPI_DBUS_TOOL_DIR="$COMMONAPI_DBUS_TOOL_DIR" -DCOMMONAPI_TOOL_DIR="$COMMONAPI_TOOL_DIR
+
+ if [ ! $DBUS_LIB_PATH ]
+ then
+ echo 'Set the dir of the patched dbus'
+ echo 'export DBUS_LIB_PATH=<path>'
+ exit 1
+ fi
+
+ commonapi_tools_option="-DDBUS_LIB_PATH="$DBUS_LIB_PATH" -DCOMMONAPI_DBUS_TOOL_DIR="$COMMONAPI_DBUS_TOOL_DIR" -DCOMMONAPI_TOOL_DIR="$COMMONAPI_TOOL_DIR
+
fi
echo 'build the poi server'